Frame buffer manipulation

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Frame buffer manipulation

Functions that deal with frame buffers. More...

## Functions
EAPI void | ecore_drm_fb_dirty (Ecore_Drm_Fb *fb, Eina_Rectangle *rects, unsigned int count)
| Mark an Ecore_Drm_Fb as dirty. More...
EAPI void | ecore_drm_fb_set (Ecore_Drm_Device *dev, Ecore_Drm_Fb *fb)
| Set an Ecore_Drm_Fb as the current framebuffer. More...
EAPI void | ecore_drm_fb_send (Ecore_Drm_Device *dev, Ecore_Drm_Fb *fb, Ecore_Drm_Pageflip_Cb func, void *data)
| Send an Ecore_Drm_Fb to the Ecore_Drm_Device. More...

## Detailed Description

Functions that deal with frame buffers.

## Function Documentation

EAPI void ecore_drm_fb_dirty | ( | Ecore_Drm_Fb * | fb,
|  | Eina_Rectangle * | rects,
|  | unsigned int | count
| ) |  |

Mark an Ecore_Drm_Fb as dirty.

This function mark an Ecore_Drm_Fb as being dirty

Parameters

  fb | The Ecore_Drm_Fb to mark as dirty
  rects | The regions of the Ecore_Drm_Fb which are dirty
  count | The number of regions

Since
  1.14

References alloca(), ERR, _Eina_Rectangle::h, _Eina_Rectangle::w, _Eina_Rectangle::x, and _Eina_Rectangle::y.

EAPI void ecore_drm_fb_set | ( | Ecore_Drm_Device * | dev,
|  | Ecore_Drm_Fb * | fb
| ) |  |

Set an Ecore_Drm_Fb as the current framebuffer.

This function will set the given Ecore_Drm_Fb as the framebuffer used across all outputs

Parameters

  dev | The Ecore_Drm_Device to use
  fb | The Ecore_Drm_Fb to make the current framebuffer

Since
  1.14

References EINA_LIST_FOREACH, ERR, and WRN.

EAPI void ecore_drm_fb_send | ( | Ecore_Drm_Device * | dev,
|  | Ecore_Drm_Fb * | fb,
|  | Ecore_Drm_Pageflip_Cb | func,
|  | void * | data
| ) |  |

Send an Ecore_Drm_Fb to the Ecore_Drm_Device.

This function will call drmModePageFlip for the given device using the given Ecore_Drm_Fb as the framebuffer

Parameters

  dev | The Ecore_Drm_Device to use
  fb | The Ecore_Drm_Fb to send
  cb | The function to call when the page flip has completed
  data | The data to pass to the callback function

Since
  1.14

References eina_list_count(), EINA_LIST_FOREACH, EINA_TRUE, and ERR.